﻿<%@ Import Namespace="UCommerce.Entities"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditProductPricing.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Catalog.EditProductPricing" %>
<%@ Register Namespace="UCommerce.Umbraco.Controls" TagPrefix="ucommerce" Assembly="UCommerce.Umbraco" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary runat="server" />
<div style="text-align: left;">
    <div class="propertyPane leftAligned" style="padding: 10px">
        <div>
            <commerce:BulkEditGridView runat="server" ID="PriceGroupGridView" BulkEdit="true" DataSource="<%# PriceGroups %>" ShowHeader="false" DataKeyNames="PriceGroupId" AutoGenerateColumns="false" GridLines="None">
                <Columns>
                    <asp:TemplateField HeaderText="Enabled">
                        <EditItemTemplate>
                            <asp:HiddenField runat="server" ID="PriceGroupIdHiddenField" Value="<%# ((PriceGroup)Container.DataItem).PriceGroupId %>" />
                            <asp:CheckBox runat="server" ID="EnabledCheckBox" Checked="<%# IsEnabled(((PriceGroup)Container.DataItem).PriceGroupId) %>" />
                        </EditItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Name">
                        <EditItemTemplate>
                            <strong><%# ((PriceGroup)Container.DataItem).Name %></strong>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Price">
                        <EditItemTemplate>
                            <asp:TextBox runat="server" ID="ProductPriceTextBox" Text="<%# GetPriceForPriceGroup(((PriceGroup)Container.DataItem).PriceGroupId) %>" CssClass="amountInput"></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField>
                        <EditItemTemplate>
                            <strong><%# ((PriceGroup)Container.DataItem).Currency.ISOCode %></strong>
                        </EditItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </commerce:BulkEditGridView>
        </div>
    </div>
</div>