﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SearchOrders.ascx.cs" Inherits="UCommerce.Web.UI.Umbraco.UCommerce.Orders.SearchOrders" %>
<umbracoUi:Pane runat="server" meta:resourceKey="Search">
    <umbracoUi:PropertyPanel runat="server" meta:resourceKey="FirstName">
        <asp:TextBox runat="server" ID="CustomerFirstNameTextBox" CssClass="mediumWidth" />        
    </umbracoUi:PropertyPanel>    
    <umbracoUi:PropertyPanel runat="server" meta:resourceKey="LastName">
        <asp:TextBox runat="server" ID="CustomerLastNameTextBox" CssClass="mediumWidth" />
    </umbracoUi:PropertyPanel>
    <umbracoUi:PropertyPanel runat="server" meta:resourceKey="OrderStatus">
        <asp:DropDownList runat="server" ID="OrderStatusDropDown" DataValueField="OrderStatusId" DataTextField="Name" CssClass="mediumWidth"></asp:DropDownList>
    </umbracoUi:PropertyPanel>
    <umbracoUi:PropertyPanel runat="server" Text="&nbsp;">
        <asp:Button runat="server" ID="SearchButton" OnClick="SearchButton_Clicked" meta:resourceKey="SearchButton" />
    </umbracoUi:PropertyPanel>    
    <umbracoUi:PropertyPanel runat="server" meta:resourceKey="Group">
        <asp:DropDownList runat="server" ID="GroupDropDown" DataValueField="ProductCatalogGroupId" DataTextField="Name" CssClass="mediumWidth" />
    </umbracoUi:PropertyPanel>
</umbracoUi:Pane>

<umbracoUi:Pane runat="server" meta:resourceKey="SearchResults">
    <asp:GridView runat="server" ID="PurchaseOrdersGridView" AutoGenerateColumns="false" AllowSorting="false">
        <Columns>
            <asp:TemplateField meta:resourceKey="Ordernumber" SortExpression="OrderNumber">
                <ItemTemplate>
                    <a href='EditOrder.aspx?id=<%# Eval("OrderId") %>'><%# Eval("OrderNumber") %></a>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField meta:resourceKey="CustomerName" DataField="CustomerName" SortExpression="CustomerName" />
            <asp:BoundField meta:resourceKey="Status" DataField="Status" />
            <asp:BoundField meta:resourceKey="CompletedDate" DataField="CompletedDate" />
            <asp:BoundField meta:resourceKey="Currency" DataField="Currency" />
            <asp:BoundField meta:resourceKey="CatalogSetName" DataField="CatalogSetName" SortExpression="CatalogSetName" />
            <asp:BoundField meta:resourceKey="OrderTotal" DataField="OrderTotal" DataFormatString="{0:N}" />
        </Columns>
    </asp:GridView>
</umbracoUi:Pane>