﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CreateProductDefinitionField.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Settings.Catalog.CreateProductDefinitionField" %>

<asp:Localize ID="Localize2" runat="server" meta:ResourceKey="Name" />
<asp:TextBox runat="server" ID="NameTextBox" CssClass="bigInput" Width="350px"/>
<asp:RequiredFieldValidator meta:ResourceKey="RequiredNameValidator" ID="RequiredFieldValidator1" runat="server" ControlToValidate="NameTextBox" CssClass="bigInput" ErrorMessage="Please enter a name.(*)" Width="100%" Display="Dynamic"/>
<asp:RegularExpressionValidator meta:ResourceKey="NameValidator" ID="NameValidator" ControlToValidate="NameTextBox" ValidationExpression="^(?!(xml|[_\d\W]))[^ \s\W]+$" CssClass="bigInput" ErrorMessage="Name can contain only letters and numbers(*)." Display="Dynamic" runat="server" />
<asp:CustomValidator meta:ResourceKey="UniqueNameCustomValidator" ID="UniqueFieldNameCustomValidatator" ControlToValidate="NameTextBox" ErrorMessage="The field already exists for product definition. Please select another name.(*)" CssClass="bigInput" OnServerValidate="UniqueFieldNameCustomValidatator_ValidateUniqueName" runat="server" Display="Dynamic" />

<br /><br />

<asp:Localize ID="Localize1" runat="server" meta:resourceKey="DataType" />
<asp:DropDownList runat="server" ID="DataTypeDropDownList" DataTextField="TypeName" DataValueField="DataTypeId"></asp:DropDownList>
    
<div style="padding-top: 25px">
    <asp:Button runat="server" ID="CreateButton" Width="90px" Text="Create" OnClick="CreateButton_Clicked" />
    <em>or</em>
    <a onclick="UCommerceClientMgr.closeModalWindow();" style="color: blue; cursor: hand">Cancel</a>    
</div>