﻿<%@ Import Namespace="UCommerce.Presentation.Web"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditDataTypeEnumBaseProperties.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Settings.Catalog.EditDataTypeEnumBaseProperties" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary ID="ValidationSummary1" runat="server" />
<div class="propertypane leftAligned" style="padding: 10px">
    <div>
        <div class="propertyItem">
            <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="Value" />
            </div>
            <div class="propertyItemContent">
                <asp:TextBox runat="server" ID="ValueTextBox" Text="<%# QueryString.Common.IsNew ? QueryString.Common.Name : View.DataTypeEnum.Value %>" />
                <asp:RequiredFieldValidator runat="server" ControlToValidate="ValueTextBox" Display="Static" ErrorMessage="*" CssClass="validator" />
                <asp:RegularExpressionValidator runat="server" ControlToValidate="ValueTextBox" Display="Static" Enabled="<%# !string.IsNullOrEmpty(View.DataType.ValidationExpression) %>" ValidationExpression="<%# View.DataType.ValidationExpression %>" ErrorMessage="*" CssClass="validator" />
                <asp:CustomValidator runat="server" ErrorMessage="*" CssClass="validator" OnServerValidate="NameValidator_ServerValidate" />
            </div>
        </div>
    </div>
    <div class="propertyPaneFooter">-</div>
</div>