﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditProductDefinitionFieldBaseProperties.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Settings.Catalog.EditProductDefinitionFieldBaseProperties" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary ID="ValidationSummary1" runat="server" />
<div style="text-align: left;">
    <div class="propertyPane leftAligned" style="padding: 10px">
        <div>
            <table style="width: 100%">
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="Name" /></th>
                    <td><asp:TextBox runat="server" ID="NameTextBox" Text="<%# View.ProductDefinitionField.Name %>" CssClass="mediumWidth" />
                        <asp:RequiredFieldValidator runat="server" ControlToValidate="NameTextBox" ErrorMessage="*" CssClass="validator" Display="Dynamic" />
                        <asp:CustomValidator runat="server" ErrorMessage="*" CssClass="validator" OnServerValidate="NameValidator_ServerValidate" Display="Dynamic" />
                        <asp:RegularExpressionValidator meta:ResourceKey="NameValidator" ID="NameValidator" ControlToValidate="NameTextBox" ValidationExpression="^(?!(xml|[_\d\W]))[^ \s\W]+$" ErrorMessage="Name can contain only letters and numbers(*)." Display="Dynamic" runat="server" />
                    </td>
                </tr>
                <tr>
                    <th style="width: 150px"><asp:Localize runat="server" meta:resourceKey="DataType" /></th>
                    <td><asp:DropDownList runat="server" ID="DataTypeDropDown" DataSource="<%# View.DataTypes %>" DataValueField="DataTypeId" DataTextField="TypeName" OnDataBound="DataTypeDropDown_DataBound" CssClass="mediumWidth" /></td>
                </tr>
                <tr>
                    <th style="width: 150px"><asp:Localize runat="server" meta:resourceKey="Multilingual" /></th>
                    <td><asp:CheckBox runat="server" ID="MultilingualCheckBox" Checked="<%# View.ProductDefinitionField.Multilingual %>" /></td>
                </tr>                             
                <tr>    
                    <th style="width: 150px"><asp:Localize runat="server" meta:resourceKey="DisplayOnSite" /></th>
                    <td><asp:CheckBox runat="server" ID="DisplayOnSiteCheckBox" Checked="<%# View.ProductDefinitionField.DisplayOnSite %>" /></td>
                </tr>
                <tr>
                    <th style="width: 150px"><asp:Localize runat="server" meta:resourceKey="VariantProperty" /></th>
                    <td><asp:CheckBox runat="server" ID="VariantPropertyCheckBox" Checked="<%# View.ProductDefinitionField.IsVariantProperty %>" /></td>
                </tr>
                <tr>
                    <th style="width: 150px"><asp:Localize runat="server" meta:resourceKey="RenderInEditor" /></th>
                    <td><asp:CheckBox runat="server" ID="RenderInEditorCheckBox" Checked="<%# View.ProductDefinitionField.RenderInEditor %>" /></td>
                </tr>
            </table>
        </div>
    </div>
</div> 
