﻿<%@ Import Namespace="UCommerce.Presentation.Web"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditEmailProfileBaseProperties.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Settings.Email.EditEmailProfileBaseProperties" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary runat="server" />
<div class="propertypane leftAligned" style="padding: 10px">
    <div>
        <div class="propertyItem">
            <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="Name" />
            </div>
            <div class="propertyItemContent">
                <asp:TextBox runat="server" ID="NameTextBox" Text="<%# View.IsNew ? QueryString.Common.Name : View.EmailProfile.Name %>" CssClass="mediumWidth" />
                <asp:RequiredFieldValidator runat="server" ControlToValidate="NameTextBox" ErrorMessage="*" CssClass="validator" />
                <asp:CustomValidator runat="server" ErrorMessage="*" CssClass="validator" OnServerValidate="NameValidator_ServerValidate" />
            </div>
        </div>
        <div class="propertyItem">
	        <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="ModifiedOn" />                    
            </div>
            <div class="propertyItemContent">
                <%# View.EmailProfile.ModifiedOn %>            
            </div>
        </div>        
        <div class="propertyItem">
	        <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="ModifiedBy" />                    
            </div>
            <div class="propertyItemContent">
                <%# View.EmailProfile.ModifiedBy %>
            </div>
        </div>
    </div>
    <div class="propertyPaneFooter">-</div>
</div>