﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditOrderNumberSerieBaseProperties.ascx.cs" Inherits="UCommerce.Web.UI.Umbraco.UCommerce.Settings.Orders.EditOrderNumberSerieBaseProperties" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary runat="server" />
<umbracoUi:Pane runat="server">

    <umbracoUi:PropertyPanel runat="server" meta:resourceKey="NameProperty">
        <asp:TextBox runat="server" ID="NameTextBox" Text="<%# View.OrderNumberSerie.OrderNumberName %>" />      
        <asp:RequiredFieldValidator runat="server" ControlToValidate="NameTextBox" Display="Static" ErrorMessage="*" CssClass="validator" />  
        <asp:CustomValidator runat="server" ErrorMessage="*" CssClass="validator" OnServerValidate="NameTextBox_ServerValidate" />
    </umbracoUi:PropertyPanel>
    <umbracoUi:PropertyPanel runat="server" meta:resourceKey="PrefixProperty">
        <asp:TextBox runat="server" ID="PrefixTextBox" Text="<%# View.OrderNumberSerie.Prefix %>" />
    </umbracoUi:PropertyPanel>
    <umbracoUi:PropertyPanel runat="server" meta:resourceKey="PostfixProperty">
        <asp:TextBox runat="server" ID="PostfixTextBox" Text="<%# View.OrderNumberSerie.Postfix %>" />
    </umbracoUi:PropertyPanel>
    <umbracoUi:PropertyPanel runat="server" meta:resourceKey="IncrementProperty">
        <asp:TextBox runat="server" ID="IncrementTextBox" Text="<%# View.OrderNumberSerie.Increment %>"  />
        <asp:RequiredFieldValidator runat="server" ControlToValidate="IncrementTextBox" Display="Static" ErrorMessage="*" CssClass="validator" />
        <asp:RangeValidator runat="server" ControlToValidate="IncrementTextBox" MinimumValue="1" MaximumValue="<%# int.MaxValue %>" Type="Integer" ErrorMessage="*" CssClass="validator" Display="Static"></asp:RangeValidator>
    </umbracoUi:PropertyPanel>
    <umbracoUi:PropertyPanel runat="server" meta:resourceKey="CurrentNumberProperty">
        <%# View.OrderNumberSerie.Prefix %><%# View.OrderNumberSerie.CurrentNumber + View.OrderNumberSerie.Increment %><%# View.OrderNumberSerie.Postfix %>
    </umbracoUi:PropertyPanel>

</umbracoUi:Pane>