﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SalesTotals.ascx.cs" Inherits="UCommerce.Web.UI.Umbraco.UCommerce.Analytics.SalesTotals" %>
<%@ Register TagPrefix="UmbracoCMS" Namespace="UCommerce.Umbraco.UI" Assembly="UCommerce.Umbraco" %>
<%@ Register TagPrefix="Umb" Assembly="cms" Namespace="umbraco.controls"%>

<div class="propertyPane leftAligned" style="padding: 10px">
	               
    <UmbracoCMS:UmbracoDatePicker id="StartDatePicker" runat="server" ShowTime="false" EnableViewState="true"/> -
	<UmbracoCMS:UmbracoDatePicker id="EndDatePicker" runat="server" ShowTime="false" EnableViewState="true"/>    
	&nbsp;<asp:DropDownList DataValueField="ProductCatalogGroupId" DataTextField="Name" ID="productCatalogGroupDropDownList" runat="server" />
	
	&nbsp;<asp:Button ID="ReportButton" runat="server" meta:resourcekey="ReportButton" />	
	
</div>
<div class="propertyPane leftAligned" style="padding: 10px">          
    <asp:Repeater runat="server" ID="SalesTotalRepeater">
        <HeaderTemplate>
			<div style="margin: 10px; background-color: White; border: solid 1px gray;">
				<table class="dataList"  cellspacing="0" width="100%">
					<tr class="headerRow">
						<td><asp:Localize ID="Localize1" runat="server" meta:resourceKey="ProductCatalogGroupName" /></td>
						<td><asp:Localize ID="Localize6" runat="server" meta:resourceKey="Currency" /></td>
						<td style="text-align:right;"><asp:Localize ID="Localize2" runat="server" meta:resourceKey="Revenue" /></td>
						<td style="text-align:right;"><asp:Localize ID="Localize3" runat="server" meta:resourceKey="VATTotal" /></td>
						<td style="text-align:right;"><asp:Localize ID="Localize4" runat="server" meta:resourceKey="TaxTotal" /></td>
						<td style="text-align:right;"><asp:Localize ID="Localize5" runat="server" meta:resourceKey="Shippingtotal" /></td>
					</tr>
        </HeaderTemplate>
        <ItemTemplate>
					<tr class="contentRow">
						<td style="width: 150px;padding-right: 15px"><%# DataBinder.Eval(Container.DataItem, "Name") %></td>
						<td style="width: 50px; padding-right: 15px"><%# DataBinder.Eval(Container.DataItem, "Currency")%></td>
						<td style="width: 150px; text-align:right;"><%# DataBinder.Eval(Container.DataItem, "Revenue") %></td>
						<td style="width: 220px; text-align:right;"><%# DataBinder.Eval(Container.DataItem, "VATTotal") %></td>
						<td style="width: 150px; text-align:right;"><%# DataBinder.Eval(Container.DataItem, "TaxTotal") %></td>
						<td style="width: 150px; text-align:right;"><%# DataBinder.Eval(Container.DataItem, "ShippingTotal") %></td>
					</tr>
        </ItemTemplate>
        <FooterTemplate>
				</div>
            </table>
        </FooterTemplate>
    </asp:Repeater>
</div>