﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CreateCategoryOrProduct.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Catalog.CreateCategoryOrProduct" %>

<asp:TextBox runat="server" id="NameTextBox" />
<asp:RequiredFieldValidator ControlToValidate="NameTextBox" runat="server" ErrorMessage="*" CssClass="validator" />
<asp:CustomValidator OnServerValidate="UniqueName_ServerValidate" ControlToValidate="NameTextBox" runat="server" meta:resourceKey="UniqueName" ErrorMessage="Name already exists*" />

<asp:RadioButtonList runat="server" ID="CreateType" AutoPostBack="true" OnSelectedIndexChanged="CreateType_Changed" />

<asp:DropDownList runat="server" Enabled="false" ID="ProductDefinitionDropDown" DataSource="<%# ProductDefinitions %>" DataTextField="Name" DataValueField="ProductDefinitionId" />

<div style="clear: both">
    <asp:RequiredFieldValidator runat="server" ControlToValidate="CreateType" Display="Dynamic" ErrorMessage="No type selected" />
</div>

<div style="padding-top: 25px">
    <asp:Button runat="server" ID="CreateButton" Width="90px" Text="Create" OnClick="CreateButton_Clicked" />
    <em>or</em>
    <a onclick="UCommerceClientMgr.closeModalWindow();" style="color: blue; cursor: hand">Cancel</a>
</div>