﻿<%@ Import Namespace="UCommerce.Entities"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditProductMedia.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Catalog.EditProductMedia" %>
<%@ Register Namespace="UCommerce.Umbraco.Controls" TagPrefix="ucommerce" Assembly="UCommerce.Umbraco" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/UmbracoTreePicker.ascx" TagName="TreePicker" TagPrefix="ucommerce" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/UmbracoTreePickerExtender.ascx" TagName="TreePickerExtender" TagPrefix="ucommerce" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<%@ Register TagPrefix="ucommerce" TagName="ProductPropertyEditor" Src="~/Umbraco/UCommerce/Controls/ProductPropertyEditor.ascx" %>
<commerce:ValidationSummary runat="server" />
<div style="text-align: left;">
    <div class="propertyPane leftAligned" style="padding: 10px">
        <div>
            <table style="width: 100%">
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="ThumbnailImage" /></th>
                    <td><ucommerce:TreePicker runat="server" Source="Media" ID="ThumbnailImagePicker" SelectedValue="<%# View.Product.ThumbnailImageMediaId %>" /></td>
                </tr>             
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="PrimaryImage" /></th>
                    <td><ucommerce:TreePicker runat="server" Source="Media" ID="PrimaryImagePicker" SelectedValue="<%# View.Product.PrimaryImageMediaId %>" /></td>
                </tr>
            </table>
        </div>
    </div>
</div> 

<asp:Repeater runat="server" ID="MediaPropertyRepeater" DataSource="<%# GetEditorFields() %>" Visible="<%# HasMediaFields() %>">
    <HeaderTemplate>
        <div style="text-align: left;">
            <div class="propertyPane leftAligned" style="padding: 10px">
                <div>
                    <table>    
    </HeaderTemplate>
    <ItemTemplate>
                        <tr>
                            <th style="width: 150px;"><%# ((ProductDefinitionField)Container.DataItem).Name %></th>
                            <td>
                                <ucommerce:ProductPropertyEditor runat="server" ID="ImageSelectorPropertyTextBox" ProductProperty="<%# View.Product[((ProductDefinitionField)Container.DataItem).Name] %>"  />                                
                            </td>
                            <td>
                                <asp:RequiredFieldValidator runat="server" 
                                    ControlToValidate="ImageSelectorPropertyTextBox" 
                                    Enabled="<%#  ((ProductDefinitionField)Container.DataItem).DataType.RequiredValidationEnabled %>" 
                                    Display="Static" 
                                    ErrorMessage="*" CssClass="validator" /> 
                                <asp:RegularExpressionValidator runat="server" 
                                    ControlToValidate="ImageSelectorPropertyTextBox" 
                                    ValidationExpression="<%# ((ProductDefinitionField)Container.DataItem).DataType.ValidationExpression ?? string.Empty %>" 
                                    Enabled="<%# ((ProductDefinitionField)Container.DataItem).DataType.RegexValidationEnabled %>" 
                                    Display="Static" 
                                    ErrorMessage="*" CssClass="validator" />
                            </td>
                        </tr>
    </ItemTemplate>
    <FooterTemplate>
                    </table>
                </div>
            </div>
        </div>     
    </FooterTemplate>
</asp:Repeater>