﻿<%@ Import Namespace="UCommerce.Presentation.Web"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditEmailTypeBaseProperties.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Settings.Email.EditEmailTypeBaseProperties" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary ID="ValidationSummary1" runat="server" />
<div class="propertypane leftAligned" style="padding: 10px">
    <div>
        <div class="propertyItem">
            <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="Name" />
            </div>
            <div class="propertyItemContent">
                <asp:TextBox runat="server" ID="NameTextBox" Text="<%# View.IsNew ? QueryString.Common.Name : View.EmailType.Name %>" CssClass="mediumWidth" />
                <asp:RequiredFieldValidator runat="server" ControlToValidate="NameTextBox" ErrorMessage="*" CssClass="validator" />
                <asp:CustomValidator runat="server" ErrorMessage="*" CssClass="validator" OnServerValidate="NameValidator_ServerValidate" />
            </div>
        </div>
        <div class="propertyItem">
	        <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="Description" />      
            </div>
            <div class="propertyItemContent">
                <asp:TextBox runat="server" ID="DescriptionTextBox" Text="<%# View.EmailType.Description %>" TextMode="MultiLine" CssClass="mediumWidth smallHeight" />
            </div>
        </div>        
        <div class="propertyItem">
	        <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="ModifiedOn" />      
            </div>
            <div class="propertyItemContent">
                <%# View.EmailType.ModifiedOn %>
            </div>
        </div>
        <div class="propertyItem">
	        <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="ModifiedBy" />
            </div>
            <div class="propertyItemContent">
                <%# View.EmailType.ModifiedBy %>
            </div>
        </div>        
    </div>
    <div class="propertyPaneFooter">-</div>
</div>