﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditShippingMethodDescription.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Settings.Orders.EditShippingMethodDescription" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary runat="server" />
<div style="text-align: left;">
    <div class="propertyPane leftAligned" style="padding: 10px">
        <div>
            <table style="width: 100%">
                <tr>
                    <th class="smallWidth"><asp:Localize runat="server" meta:resourceKey="DisplayName" /></th>
                    <td>
                        <asp:TextBox runat="server" ID="DisplayNameTextBox" Text="<%# Description.DisplayName %>" CssClass="mediumWidth" />
                        <asp:RequiredFieldValidator runat="server" ControlToValidate="DisplayNameTextBox" ErrorMessage="*" CssClass="validator" />
                    </td>
                </tr> 
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="Description" /></th>
                    <td><asp:TextBox runat="server" ID="DescriptionTextBox" Text="<%# Description.Description %>" TextMode="MultiLine" CssClass="mediumWidth smallHeight" /></td>                    
                </tr>
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="DeliveryText" /></th>
                    <td><asp:TextBox runat="server" ID="DeliveryTextTextBox" Text="<%# Description.DeliveryText %>" CssClass="mediumWidth" /></td>
                </tr>
            </table>
        </div>
    </div>
</div>